package com.example.demo.exception;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum ApiMessageCode {

    GENERAL_EXCEPTION("API.SERVER.ERROR"),
    INVALID_FIELD("API.INVALID.FIELD"),
    INVALID_DATA("API.INVALID.DATA"),
    INVALID_REQUESTER("API.INVALID.REQUESTER"),
    INVALID_CREDENTIALS("API.INVALID.BADCREDENTIALS"),
    FIELD_MANDATORY("API.MISSING.DATA"),
    INSUFFICIENT_PRIV("API.INSUFFICIENT"),
    INVALID_SERVICE_STATUS("API.INVALID_SERVICE_STATUS"),
    NOT_FOUND("API.NOT_FOUND"),
    REPORT_SENT("API.REPORT_SENT"),
    CAN_NOT_UPLOAD("API.CAN_NOT_UPLOAD"),
    INVALID_PWD("API.INVALID.PWD");
	
	private String message;
}
